Entur Developer
Personalisation Client Integration

Get information about a program.


Get reward ladder for a potential member

POST
https://api.entur.io/personalisation
/v1/programs/{programId}/reward-ladder

Reward ladder for a potential member shows the levels available, what is required to achieve each level and what rewards are given in each level with the specified member specification. For reis and skyss reiserabatt, no request body is required. For other programs, the member specification should be provided in the body, and it should be a JSON object with keys and values matching the member metadata definitions configured for the program. In these cases, request access to the programs custom generated spec. The member specification is used to determine which levels are relevant for the potential member and what rewards they would get in each level.

Get reward ladder for a potential member › path Parameters

programId
​integer · int64 · required · style: simple

Get reward ladder for a potential member › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get reward ladder for a potential member › Request Body

Get reward ladder for a potential member › Responses

OK

Information about the current reward ladder for a program member
​MemberLevelSummary[] · required

Program level details, including the specific requirements and rewards for each level in the program


Get program

GET
https://api.entur.io/personalisation
/v1/programs/{programId}

Get information about a program

Get program › path Parameters

programId
​integer · int64 · required · style: simple

Get program › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get program › Responses

OK

Information about a program
id
​integer · int64 · required
organisationId
​integer · int64 · required

Id of organisation owning the program

Example: 1
preset
​string · enum · required
Enum values:
CAMPAIGN_CODE_PROGRAM
CUSTOM
name
​string · required

The name of the program

Example: Entur+
organisationsWithAccess
​integer[] · required

A list of organisations that can consume the program

Example: [1,2]
administratorOrganisations
​integer[] · required

A list of organisations that can administrate the program

Example: [1,2,3]
active
​boolean · required

If program is active. Inactive programs are excluded from triggering effects.

Example: true
createdAt
​string · date-time · required
programVersionId
​integer · int64 · required
reference
​string | null

Unique reference for the program. Meant to be used to identify which program this is, across different environments where the id might be different. This enables clients of the api to more easily identify the program, for example to enrich the presentation, beyond what this api delivers (for example with an icon, or more descriptive text).

Example: reis
infoLink
​string | null

A link to information about the program

Example: https://selskap.test/theprogram/
updatedAt
​string | null · date-time

Did you find what you were looking for?